% change properties to subplot lines
% need to check which line corresponds to the 
% handle entry (uu)
% the h hanle correponds to panels
% FIRST THING set the figure number
function graph_change_style(marker,color,style)
if nargin<1
    marker='x';
    color=[1,0,0];
    style='-';
elseif nargin<2
    color=[1,0,0];
    style='-';
elseif nargin<3;
    style='-';
end
fignum=input(upper('give figure number ===> '));
h=get(figure(fignum),'Children');
% get(h(2));

for jj=1:size(h,1);
    
uu=get(h(jj),'Children');
for ss=1:size(uu,1);
        if isfield(get(uu(ss)),'LineStyle')
% set(uu(ss),'Marker',marker);
% set(uu(ss),'Color',color);
%         if isfield(get(uu(ss)),'LineStyle')
            tmp=get(uu(ss));
%         set(uu(ss),'LineStyle',style);
         if 1%~strmatch(tmp.LineStyle,'none')
        eval(['tmp.LineStyle=''',style,''';']);
        eval(['tmp.Marker=''',marker,''';']);
        eval(['tmp.Color=''',cell2str(str2cell(num2str([1,0,0]')),0),''';']);
         end
%         end
        end
end
end